Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 79660

Summary: cannot build rpm from kernel-source, due to old rpm -ta command
Product: [Retired] Red Hat Linux Reporter: manuel wolfshant <wolfy>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: low Docs Contact:
Priority: low    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-30 15:40:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description manuel wolfshant 2002-12-14 18:46:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021120
Netscape/7.01

Description of problem:
/usr/src/linux-2.4/Makefile atttemps to run rpm -ta in order to build
kernel*rpm. In RH 8.0 the correct command is rpmbuild

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -i kernel-source-2.4.18-18.8.0
2.choose any way to create /usr/src/linux-2.4/.config
3.make rpm


Actual Results:  final output after make rpm (in /usr/src/linux-2.4)looks like this:
kernel-2.4.1818.8.0custom/./.version
-ta: unknown option
make: *** [rpm] Error 1


Expected Results:  kernel build + binary rpm of kernel

Additional info:

rpm should be replaced with rpmbuild in Makefile

Comment 1 Alan Cox 2002-12-16 05:32:40 UTC
If rpmbuild exists - the base kernel stuff has to work on all distros
Its now on my todo list


Comment 2 Bugzilla owner 2004-09-30 15:40:17 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/